Revoke all project access from a user or group

DELETE https://{controlplane_path}/api/1/rest/public/assetapi/acl/{project_path}?{query_parameters}

This API revokes all project access from a user or group.

If you call this API on a project space, the change to the user or group access is also applied to the project space’s corresponding shared folder.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
project_path Required. The path to the SnapLogic project.

This path is normalized to its respective project space path, whether /shared or another project folder exists at the end of the path. Therefore, the provided permissions are updated for this path’s project space and its shared folder only.

Format: /{env_org}/{project_space}/{project_name}

Important: The path comparison is case-sensitive.

Query parameters

Key Type Description
grant_type string The type of the grantee.
Valid values:
  • USER
  • GROUP
grantee string The user or group from whom to revoke access.

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body

None.

Response

{
    "response_map": {},
    "http_status_code": 200
}